<?php

/**
 * Implementation of hook_context_default_contexts().
 */
function casetracker_commits_atrium_context_default_contexts() {
  $export = array();
  $context = new stdClass;
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'casetracker_commits';
  $context->description = 'Case tracker commits blocks configuration.';
  $context->tag = 'Casetracker Commits';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'casetracker_basic_case' => 'casetracker_basic_case',
      ),
      'options' => array(
        'node_form' => '1',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views-casetracker_commits-block_1' => array(
          'module' => 'views',
          'delta' => 'casetracker_commits-block_1',
          'region' => 'right',
          'weight' => 0,
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Case tracker commits blocks configuration.');
  t('Casetracker Commits');

  $export['casetracker_commits'] = $context;
  return $export;
}
